#
# Conditional build:
%bcond_without	alsa		# ALSA support
%bcond_with	esd		# EsounD support
%bcond_with	nas		# NAS support
%bcond_with	openal		# OpenAL support
%bcond_without	pulseaudio	# PulseAudio support
%bcond_without	sdl		# SDL support

Summary:	libmikmod - a portable sound library for Unix
Summary(es.UTF-8):	Biblioteca de sonidos libmikmod
Summary(fr.UTF-8):	Bibliothèque sonore libmikmod
Summary(pl.UTF-8):	libmikmod - biblioteka do obsługi dźwięku dla różnych Uniksów
Summary(pt_BR.UTF-8):	Biblioteca de som libmikmod
Summary(ru.UTF-8):	Звуковая библиотека libmikmod
Summary(uk.UTF-8):	Звукова бібліотека libmikmod
Name:		libmikmod
Version:	3.3.11.1
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/mikmod/%{name}-%{version}.tar.gz
# Source0-md5:	f69d7dd06d307e888f466fc27f4f680b
Patch0:		%{name}-info.patch
URL:		http://mikmod.raphnet.net/
%{?with_openal:BuildRequires:	OpenAL-devel}
%{?with_sdl:BuildRequires:	SDL2-devel >= 2.0.0}
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
%{?with_esd:BuildRequires:	esound-devel >= 0.2.18}
BuildRequires:	gettext-tools >= 0.10.35-9
BuildRequires:	libtool
%{?with_nas:BuildRequires:	nas-devel}
BuildRequires:	pkgconfig
%{?with_pulseaudio:BuildRequires:	pulseaudio-devel}
BuildRequires:	texinfo
Obsoletes:	libmikmod2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write WAV files.

Supported file formats include mod, stm, s3m, mtm, xm, and it. Full
source included, use of this library for music/sound effects in your
own programs is encouraged !

%description -l es.UTF-8
Biblioteca de sonidos libmikmod.

%description -l fr.UTF-8
Une bibliothèque sonore portable pour Unix et d'autres systèmes,
capable de jouer aussi bien des effets sonores que des modules, sur un
grand choix de périphériques sonores.

%description -l pl.UTF-8
Biblioteka dźwięku dla Uniksa i innych systemów, umożliwiająca
odtwarzanie sampli i modułów dźwiękowych na wielu rodzajach urządzeń
dźwiękowych.

Wspierane formaty plików to między innymi mod, stm, s3m, mtm, xm i it.

%description -l pt_BR.UTF-8
Uma biblioteca de som portátil para o Unix e outros sistemas
operacionais, capaz de tocar samples agem de arquivos .mod, em uma
grande variedade de dispositivos de som.

%description -l ru.UTF-8
Мобильная звуковая библиотека для *nix, умеющая проигрывать сэмплы и
MOD'ы на большом количестве звуковых устройств.

%description -l uk.UTF-8
Переносима звукова бібліотека для *nix, здатна програвати семпли та
"модулі" на великій кількості звукових пристроїв.

%package devel
Summary:	Include files to develop libmikmod applications
Summary(es.UTF-8):	Archivos de inclusión para desarrollar aplicaciones libmikmod
Summary(fr.UTF-8):	Includes pour programmer pour libmikmod
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmikmod
Summary(pt_BR.UTF-8):	Arquivos de inclusão para desenvolver aplicações libmikmod
Summary(ru.UTF-8):	.h-файлы для разработки libmikmod-приложений
Summary(uk.UTF-8):	.h-файли для розробки програм, що користуються libmikmod
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL2-devel
Requires:	pulseaudio-devel
Obsoletes:	libmikmod2-devel

%description devel
Include files to develop libmikmod applications.

%description devel -l es.UTF-8
Archivos de inclusión para desarrollar aplicaciones libmikmod.

%description devel -l fr.UTF-8
Includes pour programmer pour libmikmod.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia aplikacji wykorzystujących bibliotekę
libmikmod.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão para desenvolver aplicações libmikmod.

%description devel -l ru.UTF-8
.h-файлы для разработки libmikmod-приложений.

%description devel -l uk.UTF-8
.h-файли для розробки програм, що користуються libmikmod.

%package static
Summary:	Static libmikmod library
Summary(fr.UTF-8):	Bibliothèques statiques libmikmod
Summary(pl.UTF-8):	Biblioteka statyczna libmikmod
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com libmikmod
Summary(ru.UTF-8):	Статические библиотеки для разработки libmikmod-приложений
Summary(uk.UTF-8):	Статичні бібліотеки для розробки програм, що користуються libmikmod
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmikmod library.

%description static -l fr.UTF-8
Bibliothèques statiques libmikmod.

%description static -l pl.UTF-8
Biblioteka statyczna libmikmod.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com libmikmod.

%description static -l ru.UTF-8
Статические библиотеки для разработки libmikmod-приложений.

%description static -l uk.UTF-8
Статичні бібліотеки для розробки програм, що користуються libmikmod.

%prep
%setup -q
%patch0 -p0

%if %{without esd}
echo 'AC_DEFUN([AM_PATH_ESD],[$3])' >> acinclude.m4
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
# note: audiofile (af) driver is for DEC AudioFile server (libAF), not libaudiofile library;
# libgus was an ancient (Linux < 2.2) GUS support library ("ultra" package)
%configure \
	%{!?with_alsa:--disable-alsa} \
	%{!?with_esound:--disable-esd} \
	%{?with_nas:--enable-nas} \
	%{?with_openal:--enable-openal} \
	--enable-oss \
	%{!?with_pulseaudio:--disable-pulseaudio} \
	%{?with_sdl:--enable-sdl}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_libdir}/libmikmod.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmikmod.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libmikmod-config
%attr(755,root,root) %{_libdir}/libmikmod.so
%{_libdir}/libmikmod.la
%{_includedir}/mikmod.h
%{_pkgconfigdir}/libmikmod.pc
%{_aclocaldir}/libmikmod.m4
%{_mandir}/man1/libmikmod-config.1*
%{_infodir}/mikmod.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libmikmod.a
%changelog
* Sun Sep 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmikmod.git;a=log;h=master

* Sun Sep 11 2022 Jan Palus <atler@pld-linux.org> 986e4e3
- R: SDL2-devel pulseaudio-devel in -devel to make libtool file happy; rel 2

* Sat Jul 01 2017 Jakub Bogusz <qboosh@pld-linux.org> 9370981
- updated to 3.3.11.1

* Fri Jun 30 2017 Witold Filipczyk <witekfl@poczta.onet.pl> f30c0d9
- updated to 3.3.11

* Sun Jan 03 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 411434d
- enabled SDL
- rel 2
- In "bb -driver slang" with SDL disabled in libmikmod, animation stops when music starts

* Thu Nov 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 3371f3e
- updated to 3.3.8

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 22c4995
- updated to 3.3.7

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c6b39a4
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a98c738
- updated gettext BR

* Fri May 23 2014 Jakub Bogusz <qboosh@pld-linux.org> f133791
- some note on libgus option

* Sun May 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 6d7f120
- updated to 3.3.6 (note: new soname; libmikmod 3.1.x left on libmikmod-3.1 branch)

* Sun May 18 2014 Jakub Bogusz <qboosh@pld-linux.org> fc467a4
- updated to 3.1.17 (fixes CVE-2007-6720 CVE-2009-0179 CVE-2009-3995 CVE-2010-2546)
- removed obsolete AC_LIBOBJ,install-exec,lib64 patches
- introduced .pc file

* Thu Jul 28 2011 Jan Palus <jan.palus@gmail.com> 3aea846
- fix libmikmod-config --libs on 64bit
- release 4

* Sun Jul 10 2011 Elan Ruusamäe <glen@pld-linux.org> f644e09
- %{_infodir}/dir is not always created, so always remove it

* Sun Jul 10 2011 Elan Ruusamäe <glen@pld-linux.org> 8875500
- fix without esound build

* Sun Jul 10 2011 Elan Ruusamäe <glen@pld-linux.org> 4f611e6
- fix library install. need to have executable bit set for rpm autodeps to work; rel 2

* Mon Oct 25 2010 Jakub Bogusz <qboosh@pld-linux.org> 0b0b5f9
- updated to 3.1.12 (fixes XM endless loop)
- disable esound by default

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> cb0831e
- BR: pkgconfig

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3268ad2
- release 4

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 7ccfa1e
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ff71f36
- tabs in preamble

